------------------------------------------------------------------------
r37591 | gerald | 2011-06-07 07:35:07 -0700 (Tue, 07 Jun 2011) | 11 lines
Changed paths:
   M /trunk-1.6/ChangeLog
   M /trunk-1.6/doc/tshark.pod

Copy over r37587. Update the ChangeLog.

  ------------------------------------------------------------------------
  r37587 | sahlberg | 2011-06-07 03:27:44 -0700 (Tue, 07 Jun 2011) | 3 lines
  Changed paths:
     M /trunk/doc/tshark.pod

  Add description of LOAD stats for tshark to the manpage
  ------------------------------------------------------------------------


------------------------------------------------------------------------
r37592 | gerald | 2011-06-07 07:48:17 -0700 (Tue, 07 Jun 2011) | 2 lines
Changed paths:
   M /trunk-1.6/version.conf

Build 1.6.0.

------------------------------------------------------------------------
r37595 | gerald | 2011-06-07 11:51:11 -0700 (Tue, 07 Jun 2011) | 2 lines
Changed paths:
   M /trunk-1.6/NEWS
   M /trunk-1.6/config.nmake
   M /trunk-1.6/configure.in
   M /trunk-1.6/debian/changelog
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/version.conf

1.6.0 → 1.6.1. Update the release notes.

------------------------------------------------------------------------
r37613 | etxrab | 2011-06-07 23:01:55 -0700 (Tue, 07 Jun 2011) | 1 line
Changed paths:
   M /trunk-1.6/Makefile.am

Apply the relevant part of Revision 37435 by hand "Include missing files in distribution".
------------------------------------------------------------------------
r37657 | gerald | 2011-06-12 09:04:25 -0700 (Sun, 12 Jun 2011) | 1 line
Changed paths:
   M /trunk-1.6/epan/enterprise-numbers
   M /trunk-1.6/services

[Automatic manuf, services and enterprise-numbers update for 2011-06-12]
------------------------------------------------------------------------
r37710 | gerald | 2011-06-19 09:04:45 -0700 (Sun, 19 Jun 2011) | 1 line
Changed paths:
   M /trunk-1.6/epan/enterprise-numbers
   M /trunk-1.6/services

[Automatic manuf, services and enterprise-numbers update for 2011-06-19]
------------------------------------------------------------------------
r37758 | etxrab | 2011-06-22 22:55:25 -0700 (Wed, 22 Jun 2011) | 1 line
Changed paths:
   M /trunk-1.6/Makefile.am
   A /trunk-1.6/diameter/Cisco.xml
   A /trunk-1.6/diameter/Vodafone.xml
   M /trunk-1.6/diameter/dictionary.xml
   M /trunk-1.6/packaging/nsis/wireshark.nsi

Update Diameter xml:s
------------------------------------------------------------------------
r37790 | gerald | 2011-06-26 09:04:50 -0700 (Sun, 26 Jun 2011) | 1 line
Changed paths:
   M /trunk-1.6/epan/enterprise-numbers
   M /trunk-1.6/services

[Automatic manuf, services and enterprise-numbers update for 2011-06-26]
------------------------------------------------------------------------
r37875 | gerald | 2011-07-03 09:36:08 -0700 (Sun, 03 Jul 2011) | 1 line
Changed paths:
   M /trunk-1.6/epan/enterprise-numbers
   M /trunk-1.6/services

[Automatic manuf, services and enterprise-numbers update for 2011-07-03]
------------------------------------------------------------------------
r37949 | gerald | 2011-07-10 09:04:22 -0700 (Sun, 10 Jul 2011) | 1 line
Changed paths:
   M /trunk-1.6/epan/enterprise-numbers
   M /trunk-1.6/services

[Automatic manuf, services and enterprise-numbers update for 2011-07-10]
------------------------------------------------------------------------
r37964 | gerald | 2011-07-11 10:30:09 -0700 (Mon, 11 Jul 2011) | 46 lines
Changed paths:
   M /trunk-1.6/Makefile.am
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/epan/dissectors/packet-reload-framing.c
   M /trunk-1.6/gtk/capture_dlg.c
   M /trunk-1.6/packaging/macosx/Makefile.am
   M /trunk-1.6/packaging/nsis/Makefile.am
   M /trunk-1.6/tools/Makefile.am
   M /trunk-1.6/wiretap/Makefile.am

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r37409 | etxrab | 2011-05-26 07:23:40 -0700 (Thu, 26 May 2011) | 1 line
  Changed paths:
     M /trunk/Makefile.am

  Add FindGMODULE2.cmake and FindGTHREAD2.cmake to the dist.
  ------------------------------------------------------------------------
  r37589 | etxrab | 2011-06-07 07:15:50 -0700 (Tue, 07 Jun 2011) | 1 line
  Changed paths:
     M /trunk/Makefile.am
     M /trunk/packaging/macosx/Makefile.am
     M /trunk/packaging/nsis/Makefile.am

  Add files to distribution.
  ------------------------------------------------------------------------
  r37593 | etxrab | 2011-06-07 08:05:45 -0700 (Tue, 07 Jun 2011) | 1 line
  Changed paths:
     M /trunk/Makefile.am
     M /trunk/tools/Makefile.am
     M /trunk/wiretap/Makefile.am

  Add more missing files.
  ------------------------------------------------------------------------
  r37618 | tuexen | 2011-06-08 07:12:47 -0700 (Wed, 08 Jun 2011) | 8 lines
  Changed paths:
     M /trunk/gtk/capture_dlg.c

  This fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6008

  Clear the list of interfaces before adding new interfaces.
  Also fix an endless loop which would occur in case of an error
  when getting remote interfaces.

  From Irene Ruengeler.
  ------------------------------------------------------------------------
  r37631 | gerald | 2011-06-09 10:30:13 -0700 (Thu, 09 Jun 2011) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-reload-framing.c

  Only count an ACK if it's part of an existing conversation, otherwise we
  get a lot of false positives.

  ------------------------------------------------------------------------

------------------------------------------------------------------------
r37965 | gerald | 2011-07-11 10:41:08 -0700 (Mon, 11 Jul 2011) | 13 lines
Changed paths:
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/wiretap/ascend_scanner.l

Copy over r37625 from the trunk:

  ------------------------------------------------------------------------
  r37625 | gerald | 2011-06-08 13:58:44 -0700 (Wed, 08 Jun 2011) | 3 lines
  Changed paths:
     M /trunk/wiretap/ascend_scanner.l

  Limit the lengths of some of our patterns. Fixes an infinite loop found
  when trying to read a TPNCP data file.
  ------------------------------------------------------------------------

Update the release notes.

------------------------------------------------------------------------
r37966 | gerald | 2011-07-11 10:45:27 -0700 (Mon, 11 Jul 2011) | 16 lines
Changed paths:
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/epan/dissectors/packet-ansi_a.c

Copy over r37930 from the trunk:

  ------------------------------------------------------------------------
  r37930 | cmaynard | 2011-07-07 09:37:33 -0700 (Thu, 07 Jul 2011) | 7 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ansi_a.c

  In elem_cell_id_aux(), in the case of an unknown/invalid disc, be sure to
  increment the curr_offset by the correct number of bytes; otherwise we can run
  into an infinite loop condition such as was the case for bug 6044.

  Reference: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6044
  ------------------------------------------------------------------------

Update the release notes.

------------------------------------------------------------------------
r37968 | gerald | 2011-07-11 10:52:13 -0700 (Mon, 11 Jul 2011) | 2 lines
Changed paths:
   A /trunk-1.6/tools/colorfilters2js.pl

Add a missing file.

------------------------------------------------------------------------
r37977 | gerald | 2011-07-11 13:12:22 -0700 (Mon, 11 Jul 2011) | 2 lines
Changed paths:
   A /trunk-1.6/tools/compare-abis.sh

Add another missing file.

------------------------------------------------------------------------
r37979 | gerald | 2011-07-11 14:23:58 -0700 (Mon, 11 Jul 2011) | 109 lines
Changed paths:
   M /trunk-1.6/capture_opts.c
   M /trunk-1.6/config.h.win32
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/epan/dissectors/packet-afp.c
   M /trunk-1.6/epan/dissectors/packet-icmpv6.c
   M /trunk-1.6/epan/dissectors/packet-ieee80211.c
   M /trunk-1.6/epan/dissectors/packet-ieee802154.c
   M /trunk-1.6/epan/dissectors/packet-netflow.c
   M /trunk-1.6/epan/dissectors/packet-q931.c
   M /trunk-1.6/epan/proto.c
   M /trunk-1.6/wiretap/ascend_scanner.l
   M /trunk-1.6/wiretap/file_wrappers.c
   M /trunk-1.6/wiretap/wtap-int.h

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r37663 | jake | 2011-06-13 13:29:51 -0700 (Mon, 13 Jun 2011) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-q931.c

  Fix for bug 6009:
  Information transfer rate is a 7 bit field.
  ------------------------------------------------------------------------
  r37665 | alagoutte | 2011-06-15 01:32:10 -0700 (Wed, 15 Jun 2011) | 4 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-icmpv6.c

  From Colin O'Flynn via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5363

  Fix some error in ICMPv6 dissector...
  ------------------------------------------------------------------------
  r37668 | alagoutte | 2011-06-15 02:01:04 -0700 (Wed, 15 Jun 2011) | 7 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ieee80211.c

  From Ali Bahar via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6022
  802.11 Disassociation Packet's "Reason Code" field is imprecisely decoded/described

  From me :
  * Display Reason code in decimal (not Hexa)
  * Update list from last standard (802.11-2007 & 802.11n-2009)
  ------------------------------------------------------------------------
  r37705 | stig | 2011-06-19 03:15:05 -0700 (Sun, 19 Jun 2011) | 4 lines
  Changed paths:
     M /trunk/epan/proto.c

  Handle BASE_NONE as BASE_DEC for filter expression in custom columns.

  This fixes bug 6035.
  ------------------------------------------------------------------------
  r37720 | stig | 2011-06-19 12:29:19 -0700 (Sun, 19 Jun 2011) | 3 lines
  Changed paths:
     M /trunk/epan/proto.c

  Make creating a display filter from a custom column defined as integer with
  strings and BASE_NONE equal to selecting the filter from the tree entry.
  ------------------------------------------------------------------------
  r37689 | stig | 2011-06-17 04:09:35 -0700 (Fri, 17 Jun 2011) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-netflow.c

  Added cast to int for nstime_t.nsecs.
  ------------------------------------------------------------------------
  r37691 | stig | 2011-06-17 04:56:56 -0700 (Fri, 17 Jun 2011) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ieee802154.c

  Added a cast from ieee802154_long_addr.addr (guint64) to guint.
  ------------------------------------------------------------------------
  r37694 | stig | 2011-06-17 06:39:56 -0700 (Fri, 17 Jun 2011) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-afp.c

  Added some casts from spotlight_ntoh64 to guint.
  ------------------------------------------------------------------------
  r37728 | stig | 2011-06-20 00:14:57 -0700 (Mon, 20 Jun 2011) | 2 lines
  Changed paths:
     M /trunk/config.h.win32

  Add back support for building with MSVC2005 (and older).
  ------------------------------------------------------------------------
  r37730 | stig | 2011-06-20 01:58:59 -0700 (Mon, 20 Jun 2011) | 2 lines
  Changed paths:
     M /trunk/config.h.win32

  AttachConsole() needs _WIN32_WINNT 0x0500.
  ------------------------------------------------------------------------


Copy over by hand:

  ------------------------------------------------------------------------
  r37635 | gerald | 2011-06-09 14:13:40 -0700 (Thu, 09 Jun 2011) | 4 lines
  Changed paths:
     M /trunk/wiretap/ascend_scanner.l

  Move the copyright notice and the config.h include to the top of the
  file so that we have the proper definitions in place for large file
  support on Solaris (bug 6102).
  ------------------------------------------------------------------------
  r37640 | guy | 2011-06-09 15:46:00 -0700 (Thu, 09 Jun 2011) | 5 lines
  Changed paths:
     M /trunk/wiretap/ascend_scanner.l
     M /trunk/wiretap/file_wrappers.c
     M /trunk/wiretap/wtap-int.h

  The only place where we care about zlib is file_wrappers.c; include
  <zlib.h> there, rather than wtap-int.h.  That obviates the need to
  include config.h earlier in ascend_scanner.l; revert the previous
  change, so we don't require a version of Flex that supports %top.
  ------------------------------------------------------------------------
  r37681 | tuexen | 2011-06-16 00:33:24 -0700 (Thu, 16 Jun 2011) | 4 lines
  Changed paths:
     M /trunk/capture_opts.c

  Really print the rpcap username when logging, not
  the rpcap password.
  This only affects remote capturing.
  ------------------------------------------------------------------------

Update the release notes.

------------------------------------------------------------------------
r37981 | gerald | 2011-07-11 15:22:02 -0700 (Mon, 11 Jul 2011) | 131 lines
Changed paths:
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/epan/column-utils.c
   M /trunk-1.6/epan/dissectors/packet-ieee802154.h
   M /trunk-1.6/epan/proto.c
   M /trunk-1.6/epan/range.c
   M /trunk-1.6/epan/wslua/wslua_gui.c
   M /trunk-1.6/epan/wslua/wslua_proto.c
   M /trunk-1.6/epan/wslua/wslua_tvb.c
   M /trunk-1.6/gtk/main.c
   M /trunk-1.6/gtk/main_welcome.c
   M /trunk-1.6/tap-comparestat.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r37756 | stig | 2011-06-22 13:15:34 -0700 (Wed, 22 Jun 2011) | 4 lines
  Changed paths:
     M /trunk/epan/column-utils.c

  Don't assert on invalid custom columns, just set as invalid/unknown.

  This fixes bug 6028.
  ------------------------------------------------------------------------
  r37760 | stig | 2011-06-23 03:28:53 -0700 (Thu, 23 Jun 2011) | 5 lines
  Changed paths:
     M /trunk/epan/wslua/wslua_tvb.c

  Rename Tvb_tvb to TvbRange_tvb, as it's a TvbRange function.
  Documentation is generated from code.

  This fixes bug 5006.
  ------------------------------------------------------------------------
  r37761 | stig | 2011-06-23 03:43:49 -0700 (Thu, 23 Jun 2011) | 5 lines
  Changed paths:
     M /trunk/epan/wslua/wslua_tvb.c

  Rename Tvb_new_real to ByteArray_tvb, as it's a ByteArray function.
  Documentation is generated from code.

  This fixes bug 5199.
  ------------------------------------------------------------------------
  r37763 | stig | 2011-06-23 04:06:34 -0700 (Thu, 23 Jun 2011) | 4 lines
  Changed paths:
     M /trunk/epan/wslua/wslua_tvb.c

  From Tony Trinh via bug 5960:
  Fix TvbRange:string() so that it returns a string that contains all bytes
  of the range, including zeroes (instead of being truncated at first zero).
  ------------------------------------------------------------------------
  r37771 | wmeier | 2011-06-23 08:40:34 -0700 (Thu, 23 Jun 2011) | 11 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ieee802154.h

  From Ivan Lawrow: GTS Descriptor count is a 3 bit field;

  The IEEE 802.15.4 GTS descriptor count is a 3-bit field (see page 144
  of attached spec).

  The mask for this field is incorrectly defined as a 2-bit field in
  epan/dissectors/packet-ieee802154.h line 74:

  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6055
  ------------------------------------------------------------------------
  r37779 | cmaynard | 2011-06-23 19:35:46 -0700 (Thu, 23 Jun 2011) | 6 lines
  Changed paths:
     M /trunk/gtk/main.c

  Make Wireshark portable to all locales by calling setlocale().  This, along with my previous commits in revisions 36160 and 36166 ought to fix the problem that Bartosz Kiziukiewicz first reported on the wireshark-users mailing list here:

      http://www.wireshark.org/lists/wireshark-users/201103/msg00018.html

  (I successfully generated Wireshark compare statistics after applying this change and also changing my locale to Polish.)
  ------------------------------------------------------------------------
  r37780 | cmaynard | 2011-06-23 19:45:23 -0700 (Thu, 23 Jun 2011) | 2 lines
  Changed paths:
     M /trunk/tap-comparestat.c

  Print the filter string, if one was specified, just like Wireshark does.
  ------------------------------------------------------------------------
  r37783 | stig | 2011-06-25 07:58:06 -0700 (Sat, 25 Jun 2011) | 8 lines
  Changed paths:
     M /trunk/epan/proto.c

  Make guy's fix in revision 37236 actually work:
  "You cannot just make the "len" field of a GByteArray larger, if there's
  no data to back that length; you can only make it smaller."

  Two equal values are always equal!

  This fixes bug 5941.
  ------------------------------------------------------------------------
  r37784 | stig | 2011-06-25 08:21:17 -0700 (Sat, 25 Jun 2011) | 3 lines
  Changed paths:
     M /trunk/epan/range.c

  From Tony Trinh via bug 5895:
  Add sanity checks in range.c
  ------------------------------------------------------------------------
  r37785 | stig | 2011-06-25 08:24:55 -0700 (Sat, 25 Jun 2011) | 3 lines
  Changed paths:
     M /trunk/epan/wslua/wslua_proto.c

  From Tony Trinh via bug 5894:
  Added argument validation to Pref.range.
  ------------------------------------------------------------------------
  r37786 | stig | 2011-06-25 08:42:41 -0700 (Sat, 25 Jun 2011) | 5 lines
  Changed paths:
     M /trunk/epan/wslua/wslua_proto.c

  Remove "range" from Lua's Pref.range(), as this value shall be fetched from
  the "default".

  This fixes bug 5896.
  ------------------------------------------------------------------------
  r37787 | stig | 2011-06-25 12:39:16 -0700 (Sat, 25 Jun 2011) | 4 lines
  Changed paths:
     M /trunk/epan/wslua/wslua_proto.c

  Added check for invalid chars in abbrev in ProtoField functions.

  This fixes bug 5569.
  ------------------------------------------------------------------------
  r37788 | stig | 2011-06-25 13:47:13 -0700 (Sat, 25 Jun 2011) | 6 lines
  Changed paths:
     M /trunk/epan/wslua/wslua_gui.c

  From Tony Trinh via bug 6018:
  Add NULL checks and fix typos in Lua error print-outs

  From me:
  Use the error message "GUI not available" when using GUI functions in tshark.
  ------------------------------------------------------------------------
  r37238 | rbalint | 2011-05-18 06:08:02 -0700 (Wed, 18 May 2011) | 3 lines
  Changed paths:
     M /trunk/gtk/main_welcome.c

  Refer to "Capture Help" as "Capture Help below" when there are no interfaces
  to capture on.
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r37984 | gerald | 2011-07-11 16:13:44 -0700 (Mon, 11 Jul 2011) | 64 lines
Changed paths:
   M /trunk-1.6/ConfigureChecks.cmake
   M /trunk-1.6/alert_box.c
   M /trunk-1.6/capinfos.c
   M /trunk-1.6/capture-pcap-util-unix.c
   M /trunk-1.6/capture_sync.c
   M /trunk-1.6/cmakeconfig.h.in
   M /trunk-1.6/color_filters.c
   M /trunk-1.6/config.h.win32
   M /trunk-1.6/configure.in
   M /trunk-1.6/dftest.c
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/dumpcap.c
   M /trunk-1.6/epan/dfilter/dfilter-macro.c
   M /trunk-1.6/epan/diam_dict.l
   M /trunk-1.6/epan/dissectors/packet-giop.c
   M /trunk-1.6/epan/dtd_preparse.l
   M /trunk-1.6/epan/filesystem.c
   M /trunk-1.6/epan/radius_dict.l
   M /trunk-1.6/epan/uat.c
   M /trunk-1.6/epan/uat_load.l
   M /trunk-1.6/gtk/airpcap_dlg.c
   M /trunk-1.6/gtk/color_dlg.c
   M /trunk-1.6/gtk/filter_dlg.c
   M /trunk-1.6/gtk/follow_stream.c
   M /trunk-1.6/gtk/follow_tcp.c
   M /trunk-1.6/gtk/funnel_stat.c
   M /trunk-1.6/gtk/main.c
   M /trunk-1.6/gtk/prefs_dlg.c
   M /trunk-1.6/gtk/print_dlg.c
   M /trunk-1.6/gtk/profile_dlg.c
   M /trunk-1.6/gtk/proto_dlg.c
   M /trunk-1.6/gtk/recent.c
   M /trunk-1.6/gtk/simple_dialog.c
   M /trunk-1.6/gtk/text_page_utils.c
   M /trunk-1.6/mergecap.c
   M /trunk-1.6/packaging/macosx/native-gtk/config.h
   M /trunk-1.6/plugins/asn1/packet-asn1.c
   M /trunk-1.6/plugins/mate/mate_parser.l
   M /trunk-1.6/randpkt.c
   M /trunk-1.6/rawshark.c
   M /trunk-1.6/text2pcap.c
   M /trunk-1.6/tools/checkAPIs.pl
   M /trunk-1.6/tshark.c
   M /trunk-1.6/version_info.c
   M /trunk-1.6/wiretap/wtap.c
   M /trunk-1.6/wsutil/CMakeLists.txt
   M /trunk-1.6/wsutil/Makefile.am
   D /trunk-1.6/wsutil/strerror.c
   D /trunk-1.6/wsutil/strerror.h

Copy over r37812 with manual intervention:

  ------------------------------------------------------------------------
  r37812 | stig | 2011-06-28 02:00:11 -0700 (Tue, 28 Jun 2011) | 6 lines
  Changed paths:
     M /trunk/ConfigureChecks.cmake
     M /trunk/alert_box.c
     M /trunk/capinfos.c
     M /trunk/capture-pcap-util-unix.c
     M /trunk/capture_sync.c
     M /trunk/cmakeconfig.h.in
     M /trunk/color_filters.c
     M /trunk/config.h.win32
     M /trunk/configure.in
     M /trunk/dftest.c
     M /trunk/dumpcap.c
     M /trunk/epan/dfilter/dfilter-macro.c
     M /trunk/epan/diam_dict.l
     M /trunk/epan/dissectors/packet-giop.c
     M /trunk/epan/dtd_preparse.l
     M /trunk/epan/filesystem.c
     M /trunk/epan/radius_dict.l
     M /trunk/epan/uat.c
     M /trunk/epan/uat_load.l
     M /trunk/gtk/airpcap_dlg.c
     M /trunk/gtk/color_dlg.c
     M /trunk/gtk/filter_dlg.c
     M /trunk/gtk/follow_stream.c
     M /trunk/gtk/follow_tcp.c
     M /trunk/gtk/funnel_stat.c
     M /trunk/gtk/main.c
     M /trunk/gtk/prefs_dlg.c
     M /trunk/gtk/print_dlg.c
     M /trunk/gtk/profile_dlg.c
     M /trunk/gtk/proto_dlg.c
     M /trunk/gtk/recent.c
     M /trunk/gtk/simple_dialog.c
     M /trunk/gtk/text_page_utils.c
     M /trunk/mergecap.c
     M /trunk/packaging/macosx/native-gtk/config.h
     M /trunk/plugins/asn1/packet-asn1.c
     M /trunk/plugins/mate/mate_parser.l
     M /trunk/randpkt.c
     M /trunk/rawshark.c
     M /trunk/text2pcap.c
     M /trunk/tools/checkAPIs.pl
     M /trunk/tshark.c
     M /trunk/version_info.c
     M /trunk/wiretap/wtap.c
     M /trunk/wsutil/CMakeLists.txt
     M /trunk/wsutil/Makefile.am
     D /trunk/wsutil/strerror.c
     D /trunk/wsutil/strerror.h

  Replace all strerror() with g_strerror().
  Remove our local strerror implementation.
  Mark strerror as locale unsafe API.

  This fixes bug 5715.
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r37985 | gerald | 2011-07-11 17:14:28 -0700 (Mon, 11 Jul 2011) | 34 lines
Changed paths:
   M /trunk-1.6/capinfos.c
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/epan/dissectors/packet-rpcap.c
   M /trunk-1.6/gtk/capture_dlg.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r37816 | stig | 2011-06-28 08:18:21 -0700 (Tue, 28 Jun 2011) | 4 lines
  Changed paths:
     M /trunk/capinfos.c

  From Jose Pedro Oliveira via bug 5803:
  #ifdef HAVE_LIBGCRYPT block includes a line too many.
  "Fixes 2nd instance of the problem"
  ------------------------------------------------------------------------
  r37828 | stig | 2011-06-29 00:02:04 -0700 (Wed, 29 Jun 2011) | 4 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-rpcap.c

  Strengthen heuristics for Packets.

  This fixes bug 6073.
  ------------------------------------------------------------------------


Copy over by hand:

  ------------------------------------------------------------------------
  r37842 | stig | 2011-06-30 02:31:11 -0700 (Thu, 30 Jun 2011) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-rpcap.c

  Avoid absurdly large values used in for-loops.
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r38000 | gerald | 2011-07-13 12:29:38 -0700 (Wed, 13 Jul 2011) | 94 lines
Changed paths:
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/epan/dissectors/packet-tcp.c
   M /trunk-1.6/epan/libwireshark.def
   M /trunk-1.6/epan/prefs.c
   M /trunk-1.6/epan/prefs.h
   M /trunk-1.6/epan/proto.c
   M /trunk-1.6/gtk/capture_dlg.c
   M /trunk-1.6/gtk/file_import_dlg.c
   M /trunk-1.6/gtk/iax2_analysis.c
   M /trunk-1.6/gtk/prefs_capture.c
   M /trunk-1.6/gtk/rtp_analysis.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r37845 | guy | 2011-06-30 11:08:42 -0700 (Thu, 30 Jun 2011) | 2 lines
  Changed paths:
     M /trunk/epan/libwireshark.def

  Export tvb_get_unicode_string().
  ------------------------------------------------------------------------
  r37853 | cmaynard | 2011-07-01 12:00:14 -0700 (Fri, 01 Jul 2011) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-tcp.c

  Initialize the TCP windows to the maximum value instead of 0 to avoid false zero window conditions, especially at the beginning of a capture or if only one side of a conversation is captured.  This resolves bug 4716: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4716.
  ------------------------------------------------------------------------
  r37854 | cmaynard | 2011-07-01 12:17:02 -0700 (Fri, 01 Jul 2011) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-tcp.c

  In decode_tcp_ports(), don't abort processing zero window probe packets, even if the payload is only a single byte.  Also, for the keep-alives, display any payload that might be present.
  ------------------------------------------------------------------------
  r37867 | wmeier | 2011-07-02 12:50:41 -0700 (Sat, 02 Jul 2011) | 14 lines
  Changed paths:
     M /trunk/gtk/file_import_dlg.c

  Fix: Wireshark crashes after repeating "File -> Import -> Cancel"
  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6080

  Apparently gtk_radio_button_get_group() must be called after
  each addition to the group before the 'group' GSList pointer can be used
  again in, for example, a call to get_radio_button_new_with_label().

  (Where does it say this in the GTK docs ? It does make sense, tho, given
  the way GSLists work).

  We'll use gtk_radio_button_new_with_label_from_widget() instead to let GTK
  handle the grouping.
  ------------------------------------------------------------------------
  r37869 | wmeier | 2011-07-02 14:00:56 -0700 (Sat, 02 Jul 2011) | 13 lines
  Changed paths:
     M /trunk/gtk/iax2_analysis.c

  Fix incorrect usage of gtk_radio_button_new_with_label()/gtk_radio_button_get_group();
  Use gtk_radio_button_new_with_label_from_widget().

  Essentially: gtk_radio_button_get_group() must be called after each gtk_radio_button_new...()
  before using the 'group' GSList pointer in another call to gtk_radio_button_new...().

  In these cases the incorrect usage appears to only have resulted in allowing multiple
  radio buttons to be activated simultaneously.

  (In at least one case elsewhere, the incorrect usage resulted in a Wireshark crash).
  ------------------------------------------------------------------------
  r37870 | wmeier | 2011-07-02 14:06:51 -0700 (Sat, 02 Jul 2011) | 2 lines
  Changed paths:
     M /trunk/gtk/iax2_analysis.c

  Remove 3 lines of code no longer needed after SVN #37869
  ------------------------------------------------------------------------
  r37871 | wmeier | 2011-07-02 14:36:25 -0700 (Sat, 02 Jul 2011) | 13 lines
  Changed paths:
     M /trunk/gtk/rtp_analysis.c

  Log:
   Fix incorrect usage of gtk_radio_button_new_with_label()/gtk_radio_button_get_group();
   Use gtk_radio_button_new_with_label_from_widget().

   Essentially: gtk_radio_button_get_group() must be called after each gtk_radio_button_new...()
   before using the 'group' GSList pointer in another call to gtk_radio_button_new...().

   In these cases the incorrect usage appears to only have resulted in allowing multiple
   radio buttons to be activated simultaneously.

   (In at least one case elsewhere, the incorrect usage resulted in a Wireshark crash).
  ------------------------------------------------------------------------


Copy over by hand:

  ------------------------------------------------------------------------
  r37830 | stig | 2011-06-29 03:42:29 -0700 (Wed, 29 Jun 2011) | 3 lines
  Changed paths:
     M /trunk/epan/prefs.c
     M /trunk/epan/prefs.h
     M /trunk/gtk/capture_dlg.c
     M /trunk/gtk/prefs_capture.c

  Added a preference to turn of capture filter syntax check.
  This can be used to disable the effect in bug 5356.
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r38002 | gerald | 2011-07-13 14:29:15 -0700 (Wed, 13 Jul 2011) | 104 lines
Changed paths:
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/epan/Makefile.am
   M /trunk-1.6/epan/Makefile.nmake
   M /trunk-1.6/epan/dissectors/packet-gsmtap.c
   M /trunk-1.6/epan/dissectors/packet-isup.c
   M /trunk-1.6/epan/dissectors/packet-mq.c
   M /trunk-1.6/epan/libwireshark.def
   M /trunk-1.6/epan/proto.c
   M /trunk-1.6/epan/proto.h
   M /trunk-1.6/epan/strutil.c
   M /trunk-1.6/epan/tvbuff.c
   M /trunk-1.6/epan/tvbuff.h
   M /trunk-1.6/make-version.pl

Copy over revisions from the trunk:

------------------------------------------------------------------------
  r37872 | guy | 2011-07-02 18:40:12 -0700 (Sat, 02 Jul 2011) | 6 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-mq.c
     M /trunk/epan/proto.c
     M /trunk/epan/proto.h

  Add ENC_ values for UTF-8 and EBCDIC, support them for FT_STRINGZ
  values, and use them in the MQ dissector, so EBCDIC strings are
  displayed as such.

  Fix up some other final arguments to proto_tree_add_item().
  ------------------------------------------------------------------------
  r37878 | guy | 2011-07-03 10:54:00 -0700 (Sun, 03 Jul 2011) | 2 lines
  Changed paths:
     M /trunk/epan/libwireshark.def

  Need to export EBCDIC_to_ASCII().
  ------------------------------------------------------------------------
  r37879 | darkjames | 2011-07-03 11:59:41 -0700 (Sun, 03 Jul 2011) | 4 lines
  Changed paths:
     M /trunk/epan/Makefile.am
     M /trunk/epan/Makefile.nmake
     M /trunk/epan/libwireshark.def

  Fix: tvbuff.obj : error LNK2019: unresolved external symbol _EBCDIC_to_ASCII referenced in function _tvb_get_ephemeral_string_enc

  Remove duplicated EBCDIC_to_ASCII from libwireshark.def
  ------------------------------------------------------------------------
  r37883 | darkjames | 2011-07-03 14:18:22 -0700 (Sun, 03 Jul 2011) | 2 lines
  Changed paths:
     M /trunk/epan/Makefile.am
     M /trunk/epan/Makefile.nmake

  Fix one more undefined reference to `EBCDIC_to_ASCII'
  ------------------------------------------------------------------------
  r37893 | etxrab | 2011-07-04 13:43:29 -0700 (Mon, 04 Jul 2011) | 14 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-isup.c

  From Christopher Maynard:
  From doc/README.tapping:

  IF the tap is going to return private data using the last parameter to
  tap_queue_packet() and IF the protocol can appear multiple times inside the
  same packet, you will have to make sure that each instance of
  tap_queue_packet() is using its own instance of private struct variable
  so they don't overwrite each other.

  This was the case here, so I changed the static allocation of tap_rec to be
  ep_alloc'd.  I also tried to clean up the Info column a bit.  With this patch
  applied, the graph now shows the APM and ANM correctly instead of 2 ANM's.

  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5966
  ------------------------------------------------------------------------
  r37895 | stig | 2011-07-04 14:14:43 -0700 (Mon, 04 Jul 2011) | 1 line
  Changed paths:
     M /trunk/make-version.pl

  Fetch svn revision also when checked out with git-svn.
  ------------------------------------------------------------------------
  r37918 | etxrab | 2011-07-06 05:47:21 -0700 (Wed, 06 Jul 2011) | 4 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-gsmtap.c

  From HAESSLER:
  Abis interface not correctly handled in gsmtap dissector

  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6097
  ------------------------------------------------------------------------


Copy over by hand:

------------------------------------------------------------------------
r37685 | guy | 2011-06-16 11:34:17 -0700 (Thu, 16 Jun 2011) | 2 lines
Changed paths:
   M /trunk/epan/proto.c
   M /trunk/epan/strutil.c
   M /trunk/epan/tvbuff.c
   M /trunk/epan/tvbuff.h

Squelch some compiler warnings.
------------------------------------------------------------------------
  r37876 | guy | 2011-07-03 10:08:25 -0700 (Sun, 03 Jul 2011) | 6 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-mq.c
     M /trunk/epan/libwireshark.def
     M /trunk/epan/proto.h
     M /trunk/epan/tvbuff.c
     M /trunk/epan/tvbuff.h

  Add a tvb_get_ephemeral_string_enc() routine that's like
  tvb_get_ephemeral_string() but takes an ENC_ value for the character
  encoding.  Use it in the MQ dissector to fetch strings to put, for
  example, into the Info column, so we properly handle EBCDIC strings
  there.
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r38003 | gerald | 2011-07-13 15:18:30 -0700 (Wed, 13 Jul 2011) | 92 lines
Changed paths:
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/dumpcap.c
   M /trunk-1.6/epan/dissectors/packet-csn1.c
   M /trunk-1.6/epan/dissectors/packet-giop.c
   M /trunk-1.6/epan/dissectors/packet-gre.c
   M /trunk-1.6/epan/dissectors/packet-gsm_rlcmac.c
   M /trunk-1.6/epan/dissectors/packet-gsm_rlcmac.h
   M /trunk-1.6/epan/dissectors/packet-ieee80211.c
   M /trunk-1.6/epan/dissectors/packet-msrp.c
   M /trunk-1.6/epan/dissectors/packet-wsp.c
   M /trunk-1.6/wiretap/lanalyzer.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r37919 | etxrab | 2011-07-06 05:53:04 -0700 (Wed, 06 Jul 2011) | 4 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-gsm_rlcmac.c
     M /trunk/epan/dissectors/packet-gsm_rlcmac.h

  From Ludovic Haessler:
  Wrong decoding of RLC/MAC EGPRS Packet Downlink Ack/Nack (3GPP TS 44.060)

  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6098
  ------------------------------------------------------------------------
  r37923 | cmaynard | 2011-07-06 09:03:43 -0700 (Wed, 06 Jul 2011) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-wsp.c

  Fix memory leak, using ep_alloc() instead of g_malloc().
  ------------------------------------------------------------------------
  r37926 | etxrab | 2011-07-07 00:44:25 -0700 (Thu, 07 Jul 2011) | 4 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-csn1.c
     M /trunk/epan/dissectors/packet-gsm_rlcmac.c

  From Ludovic Haessler:
  CSN Ack/Nack Description wrongly handled in gsm_rlcmac_dl dissector (3GPP TS 44.060)

  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6101
  ------------------------------------------------------------------------
  r37927 | alagoutte | 2011-07-07 03:19:02 -0700 (Thu, 07 Jul 2011) | 8 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ieee80211.c

  From Ali Bahar via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6093
  802.11 Association Response Packet's "Status Code" field is imprecisely decoded/described.

  From me :
  * Display Reason code in decimal (not Hexa)
  * Check list from last standard (802.11-2007, 802.11r-2008, 802.11n-2009, 802.11w-2009 & 802.11z-2011)
  * Add link to 802.11z-2010 documentation
  ------------------------------------------------------------------------
  r37945 | cmaynard | 2011-07-08 19:04:48 -0700 (Fri, 08 Jul 2011) | 8 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-gre.c

  Per README.developer, we must call subdissectors regardless of whether "tree"
  is NULL or not.  With this change, GRE-encapsulated packets (such as IP)
  should now appear in then endpoint and conversation lists.  This was
  essentially the request made at Sharkfest '11.  The actual request was for a
  "GRE" tab to be added, but that doesn't really make much sense to me.  I
  believe this change should fulfill that request.
  ------------------------------------------------------------------------
  r37953 | guy | 2011-07-10 14:05:19 -0700 (Sun, 10 Jul 2011) | 5 lines
  Changed paths:
     M /trunk/wiretap/lanalyzer.c

  At that point in the code, bytes_read isn't the total number of record
  header bytes read, as we're reading the two header fields separately and
  checking the byte count for each read.  We *do*, however, know that the
  record header is 4 bytes long, so we can just seek back 4 bytes.
  ------------------------------------------------------------------------
  r37955 | etxrab | 2011-07-10 15:13:03 -0700 (Sun, 10 Jul 2011) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-msrp.c

  From Jaap:
  Limit the search to the line.
  ------------------------------------------------------------------------
  r37957 | cmaynard | 2011-07-10 17:17:08 -0700 (Sun, 10 Jul 2011) | 4 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-giop.c

  As noted by Jaap Keuter on -dev, be sure to use message_size instead of
  header->message_size for a correct host endianness comparison.
  ------------------------------------------------------------------------


Copy over by hand:

  ------------------------------------------------------------------------
  r37924 | cmaynard | 2011-07-06 09:22:11 -0700 (Wed, 06 Jul 2011) | 5 lines
  Changed paths:
     M /trunk/dumpcap.c

  From Jakub Zawadzki via bug 6002:  Don't set state to STATE_EXPECT_DATA if there's no data to read.

  Reference: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6002
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r38068 | gerald | 2011-07-17 08:04:24 -0700 (Sun, 17 Jul 2011) | 1 line
Changed paths:
   M /trunk-1.6/epan/enterprise-numbers
   M /trunk-1.6/services

[Automatic manuf, services and enterprise-numbers update for 2011-07-17]
------------------------------------------------------------------------
r38088 | gerald | 2011-07-18 09:21:42 -0700 (Mon, 18 Jul 2011) | 121 lines
Changed paths:
   M /trunk-1.6/ChangeLog
   M /trunk-1.6/NEWS
   M /trunk-1.6/docbook/release-notes.xml
   M /trunk-1.6/epan/prefs.c
   M /trunk-1.6/epan/wspython/register-dissector.py
   M /trunk-1.6/gtk/rtp_player.c
   M /trunk-1.6/packaging/macosx/osx-app.sh

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r37919 | etxrab | 2011-07-06 05:53:04 -0700 (Wed, 06 Jul 2011) | 4 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-gsm_rlcmac.c
     M /trunk/epan/dissectors/packet-gsm_rlcmac.h

  From Ludovic Haessler:
  Wrong decoding of RLC/MAC EGPRS Packet Downlink Ack/Nack (3GPP TS 44.060)

  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6098
  ------------------------------------------------------------------------
  r37923 | cmaynard | 2011-07-06 09:03:43 -0700 (Wed, 06 Jul 2011) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-wsp.c

  Fix memory leak, using ep_alloc() instead of g_malloc().
  ------------------------------------------------------------------------
  r37926 | etxrab | 2011-07-07 00:44:25 -0700 (Thu, 07 Jul 2011) | 4 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-csn1.c
     M /trunk/epan/dissectors/packet-gsm_rlcmac.c

  From Ludovic Haessler:
  CSN Ack/Nack Description wrongly handled in gsm_rlcmac_dl dissector (3GPP TS 44.060)

  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6101
  ------------------------------------------------------------------------
  r37927 | alagoutte | 2011-07-07 03:19:02 -0700 (Thu, 07 Jul 2011) | 8 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ieee80211.c

  From Ali Bahar via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6093
  802.11 Association Response Packet's "Status Code" field is imprecisely decoded/described.

  From me :
  * Display Reason code in decimal (not Hexa)
  * Check list from last standard (802.11-2007, 802.11r-2008, 802.11n-2009, 802.11w-2009 & 802.11z-2011)
  * Add link to 802.11z-2010 documentation
  ------------------------------------------------------------------------
  r37945 | cmaynard | 2011-07-08 19:04:48 -0700 (Fri, 08 Jul 2011) | 8 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-gre.c

  Per README.developer, we must call subdissectors regardless of whether "tree"
  is NULL or not.  With this change, GRE-encapsulated packets (such as IP)
  should now appear in then endpoint and conversation lists.  This was
  essentially the request made at Sharkfest '11.  The actual request was for a
  "GRE" tab to be added, but that doesn't really make much sense to me.  I
  believe this change should fulfill that request.
  ------------------------------------------------------------------------
  r37953 | guy | 2011-07-10 14:05:19 -0700 (Sun, 10 Jul 2011) | 5 lines
  Changed paths:
     M /trunk/wiretap/lanalyzer.c

  At that point in the code, bytes_read isn't the total number of record
  header bytes read, as we're reading the two header fields separately and
  checking the byte count for each read.  We *do*, however, know that the
  record header is 4 bytes long, so we can just seek back 4 bytes.
  ------------------------------------------------------------------------
  r37955 | etxrab | 2011-07-10 15:13:03 -0700 (Sun, 10 Jul 2011) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-msrp.c

  From Jaap:
  Limit the search to the line.
  ------------------------------------------------------------------------
  r37957 | cmaynard | 2011-07-10 17:17:08 -0700 (Sun, 10 Jul 2011) | 4 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-giop.c

  As noted by Jaap Keuter on -dev, be sure to use message_size instead of
  header->message_size for a correct host endianness comparison.
  ------------------------------------------------------------------------
  r38023 | wmeier | 2011-07-14 12:51:53 -0700 (Thu, 14 Jul 2011) | 6 lines
  Changed paths:
     M /trunk/gtk/rtp_player.c

  Fix a crash when doing Telephony ! RTP ! Stream Analysis with capture files with truncated frames.
  (That is: the capture files were created with a snapshot length less than the maximum).

  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6120
  ------------------------------------------------------------------------
  r38064 | stig | 2011-07-16 11:30:57 -0700 (Sat, 16 Jul 2011) | 3 lines
  Changed paths:
     M /trunk/epan/prefs.c

  Improved check for valid custom column in preferences.

  This fixes bug 6131.
  ------------------------------------------------------------------------
  r38070 | stig | 2011-07-17 10:56:42 -0700 (Sun, 17 Jul 2011) | 1 line
  Changed paths:
     M /trunk/epan/wspython/register-dissector.py

  Check for a valid wspy_dissectors disectory to avoid a warning if missing.
  ------------------------------------------------------------------------
  r38072 | guy | 2011-07-17 13:23:07 -0700 (Sun, 17 Jul 2011) | 2 lines
  Changed paths:
     M /trunk/packaging/macosx/osx-app.sh

  Handle versions of GTK+ where gdk-pixbuf is a separate library.
  ------------------------------------------------------------------------


Copy over by hand:

  ------------------------------------------------------------------------
  r37924 | cmaynard | 2011-07-06 09:22:11 -0700 (Wed, 06 Jul 2011) | 5 lines
  Changed paths:
     M /trunk/dumpcap.c

  From Jakub Zawadzki via bug 6002:  Don't set state to STATE_EXPECT_DATA if there's no data to read.

  Reference: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6002
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
